<?php

namespace Fifa\ConnectId\Sdk\ApiModelValidation;

use DateTime;

class ValidationConstants
{
    const FACILITY_FIELD_ORDER_NUMBER_LOWER_BOUNDARY = 1;
    const FACILITY_FIELD_CAPACITY_LOWER_BOUNDARY = 0;
    const FACILITY_SEARCH_RESULTS_LOWER_BOUNDARY = 1;
    const FACILITY_SEARCH_RESULTS_UPPER_BOUNDARY = 50;
    const PROXIMITY_SCORE_LOWER_BOUNDARY = 0.0;
    const PROXIMITY_SCORE_UPPER_BOUNDARY = 1.0;
    const ORGANISATION_SEARCH_RESULTS_LOWER_BOUNDARY = 1;
    const ORGANISATION_SEARCH_RESULTS_UPPER_BOUNDARY = 5000;

    public static function DATE_OF_BIRTH_LOWER_BOUNDARY(): DateTime
    {
        return new DateTime('1900-01-01');
    }

    public static function REGISTRATION_DATE_LOWER_BOUNDARY(): DateTime
    {
        return new DateTime('2015-01-01');
    }
}